System Requirements

The IllumiDesk Enterprise Edition (EE) runs with Kubernetes. This document summarizes the minimum requirements for IllumiDesk's EE version.

The underlying Kubernetes stack supports a variety of Operating Systems and environments. The lists below confirm the supported Operating System and the system requirements to run the IllumiDesk Enterprise Edition application and the Kubernetes stack on these environments.

Supported Operating Systems

  • Ubuntu 16.04 (Kernel version >= 4.15)

  • Ubuntu 18.04 (Recommended)

  • Ubuntu 20.04 (Docker version >= 19.03.10)

  • CentOS 7.4, 7.5, 7.6, 7.7, 7.8, 8.1, 8.2 (CentOS 8.x requires Containerd)

  • RHEL 7.4, 7.5, 7.6, 7.7, 7.8, 8.1, 8.2 (RHEL 8.x requires Containerd)

  • Amazon Linux 2

Minimum System Requirements

  • 4 CPUs or equivalent per machine

  • 8 GB of RAM per machine

  • 30 GB of Disk Space per machine

  • TCP ports 6443 and 6783 open between cluster nodes

  • UDP ports 6783 and 6784 open between cluster nodes